package com.jeeplus.test.workContract.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.query.Query;
import lombok.Data;

@Data
@TableName("work_contract_info")
public class WorkContractInfo extends BaseEntity {

    /**
     * 客户id
     */
    private String clientId;

    /**
     * 客户名称
     */
    private String clientName;

    /**
     * 合同编号
     */
    private String no;

    /**
     * 合同名称
     */
    @Query(tableColumn = "a.name")
    private String name;

    /**
     * 签订日期
     */
    @Query(tableColumn = "a.contractDate")
    private String contractDate;

    /**
     * 合同生效日期
     */
    private String effectiveDate;

    /**
     * 合同终止日期
     */
    private String closingDate;

    /**
     * 合同类型
     */
    private String contractType;

    /**
     * 合同金额类别
     */
    private String contractAmountType;

    /**
     * 合同金额
     */
    @Query(tableColumn = "a.contractAmount")
    private String contractAmount;

    /**
     * 对方合同编号
     */
    private String contractOpposite;

    /**
     * 收费标准
     */
    private String contractFee;

    private String fees;

    /**
     * 描述
     */
    private String describes;

    /**
     * 合同特别条款
     */
    private String contractSpecial;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 归档人
     */
    private String filedBy;

    /**
     * 归档日期
     */
    private String filedDate;

    /**
     * 案卷号
     */
    private String filedNo;

    /**
     * 确认案卷号
     */
    private String confirmFiledNo;

    /**
     * 说明
     */
    private String filedRemarks;

    /**
     * 流程id
     */
    private String procInsId;

    private String processDefinitionId;

    /**
     * 状态
     */
    @Query
    private String status;

    /**
     * 归档状态
     */
    @Query
    private String filedType;

    /**
     * 借用状态
     */
    private String borrowType;

    @TableField(exist = false)
    private String[] contractDates;

    @TableField(exist = false)
    private String[] contractAmounts;

    @TableField(exist = false)
    private String taskId;

    @TableField(exist = false)
    private String taskFiledId;

    @TableField(exist = false)
    private String createId;

    @TableField(exist = false)
    private String contractFileId;
}
